Package org.eclipse.jface.text.templates

# Class GlobalTemplateVariables.Year

java.lang.Object
org.eclipse.jface.text.templates.TemplateVariableResolver
org.eclipse.jface.text.templates.SimpleTemplateVariableResolver
org.eclipse.jface.text.templates.GlobalTemplateVariables.Year

Enclosing class:
  GlobalTemplateVariables

public static class GlobalTemplateVariables.Year extends SimpleTemplateVariableResolver
The year variable evaluates to the current year.

## Constructor Summary

Constructors
Constructor
Description
`Year()`
Creates a new year variable

## Method Summary

Modifier and Type
Method
Description
`protected String`
`resolve(TemplateContext context)`
Returns an instance of the type resolved by the receiver available in `context`.

### Methods inherited from class org.eclipse.jface.text.templates.SimpleTemplateVariableResolver

`isUnambiguous, setEvaluationString`

### Methods inherited from class org.eclipse.jface.text.templates.TemplateVariableResolver

`getDescription, getType, resolve, resolveAll, setDescription, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Year

public Year()
Creates a new year variable

## Method Details

### resolve

protected String resolve(TemplateContext context)
Description copied from class: `TemplateVariableResolver`
Returns an instance of the type resolved by the receiver available in `context`. To resolve means to provide a binding to a concrete text object (a `String`) in the given context.

The default implementation looks up the type in the context.

Overrides:
  `resolve` in class `SimpleTemplateVariableResolver`
Parameters:
  `context` - the context in which to resolve the type
Returns:
  the name of the text object of this type, or `null` if it cannot be determined